
{if $errormessage}
<div class="alert-message error">
    <p>{$errormessage}</p>
</div>
{/if}

<h2>{$LANG.supportticketsviewticket} #{$tid}</h2>

<table width="100%" border="0" cellpadding="10" cellspacing="0" class="data">
	<thead>
        <tr>
          <th>{$LANG.supportticketsdepartment}</th>
          <th>{$LANG.supportticketsdate}</th>
          <th>{$LANG.supportticketssubject}</th>
          <th>{$LANG.supportticketsstatus}</th>
          <th>{$LANG.supportticketsticketurgency}</th>
        </tr>
	</thead>
        <tr>
          <td>{$department}</td>
          <td>{$date}</td>
          <td>{$subject}</td>
          <td>{$status}</td>
          <td>{$urgency}</td>
        </tr>
</table>
<br />

{foreach from=$descreplies key=num item=reply}
    <div class="{if $reply.admin}adminticketreplyheader{else}clientticketreplyheader{/if}">
	<table width="100%" border="0" cellpadding="10" cellspacing="0">
    <tr>
      <td><strong>{$reply.name}</strong><br>{if $reply.admin}Incoming Message{else}Outgoing Message{/if}</td>
      <td align="right">{$reply.date}</td>	  
    </tr>
  </table>
  </div>
    <div class="{if $reply.admin}adminticketreply{else}clientticketreply{/if}">
		{$reply.message}
    </div>
{/foreach}

{if $canusercloseticket == "true"}
<p align="center">
  <input type="button" value="If resolved, click here to close the ticket" onclick="window.location='{$smarty.server.PHP_SELF}?tid={$tid}&amp;c={$c}&amp;closeticket=true'" />
</p>
{/if}
<h3>{$LANG.supportticketsreply}</h3>


<form method="post" action="{$smarty.server.PHP_SELF}?tid={$tid}&amp;c={$c}" enctype="multipart/form-data" class="form-stacked">
	<table width="100%" cellspacing="0" cellpadding="0" class="frame">
    <tr>
      <td><table width="100%" border="0" cellpadding="10" cellspacing="0">
          <tr>
            <td width="120" class="fieldarea">{$LANG.contactname}</td>
            <td>{$username}</td>
          </tr>
          <tr>
            <td class="fieldarea">{$LANG.clientareaemail}</td>
            <td>{$email}</td>
          </tr>
			{if $ticketcustomfields}
				{foreach from=$ticketcustomfields item=customfield}
					<tr>
						<td class="fieldarea">{$customfield.DisplayName}</td>
						<td>{$customfield.DataContent}</td>
					</tr>
				{/foreach}
			{/if}
          <tr>
            <td colspan="2" class="fieldarea"><textarea name="replymessage" rows="12" cols="60" style="width:100%">{$replymessage}</textarea></td>
          </tr>
      </table></td>
    </tr>
  </table>
  <p align="center">
	<input type="submit" value="{$LANG.supportticketsticketsubmit}" class="button" />
	</p>
</form>
<br />